Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gjt.sp.jedit
Class OperatingSystem

    java.lang.Object
      org.gjt.sp.jedit.OperatingSystem

public class OperatingSystem
extends java.lang.Object

Operating system detection routines.

Since:
  jEdit 4.0pre4
Version:
  $Id: OperatingSystem.java,v 1.16 2003/12/25 00:09:42 spestov Exp $
Author:
  Slava Pestov

Constructor Summary
`OperatingSystem()`

Method Summary
`static java.awt.Rectangle` | `getScreenBounds()` Returns the bounds of the default screen.
`static java.awt.Rectangle` | `getScreenBounds(java.awt.Rectangle window)` Returns the bounds of the (virtual) screen that the window should be in
`static boolean` | `hasJava14()` Returns if Java 2 version 1.4, or Java 2 version 1.5 is in use.
`static boolean` | `hasJava15()` Returns if Java 2 version 1.5 is in use.
`static boolean` | `hasScreenMenuBar()` Returns whether the screen menu bar on Mac OS X is in use.
`static boolean` | `isDOSDerived()` Returns if we're running Windows 95/98/ME/NT/2000/XP, or OS/2.
`static boolean` | `isMacOS()` Returns if we're running MacOS X.
`static boolean` | `isMacOSLF()` Returns if we're running MacOS X and using the native look and feel.
`static boolean` | `isOS2()` Returns if we're running OS/2.
`static boolean` | `isUnix()` Returns if we're running Unix (this includes MacOS X).
`static boolean` | `isVMS()` Returns if we're running VMS.
`static boolean` | `isWindows()` Returns if we're running Windows 95/98/ME/NT/2000/XP.
`static boolean` | `isWindows9x()` Returns if we're running Windows 95/98/ME.
`static boolean` | `isWindowsNT()` Returns if we're running Windows NT/2000/XP.
`static boolean` | `isX11()` Returns if this OS is likely to be using X11 as the graphics system.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OperatingSystem

    public OperatingSystem()

Method Detail

### getScreenBounds

    public static final java.awt.Rectangle getScreenBounds()

  Returns the bounds of the default screen.

### getScreenBounds

    public static final java.awt.Rectangle getScreenBounds(java.awt.Rectangle window)

  Returns the bounds of the (virtual) screen that the window should be in

  Parameters:
    `window` - The bounds of the window to get the screen for

### isDOSDerived

    public static final boolean isDOSDerived()

  Returns if we're running Windows 95/98/ME/NT/2000/XP, or OS/2.

### isWindows

    public static final boolean isWindows()

  Returns if we're running Windows 95/98/ME/NT/2000/XP.

### isWindows9x

    public static final boolean isWindows9x()

  Returns if we're running Windows 95/98/ME.

### isWindowsNT

    public static final boolean isWindowsNT()

  Returns if we're running Windows NT/2000/XP.

### isOS2

    public static final boolean isOS2()

  Returns if we're running OS/2.

### isUnix

    public static final boolean isUnix()

  Returns if we're running Unix (this includes MacOS X).

### isMacOS

    public static final boolean isMacOS()

  Returns if we're running MacOS X.

### isX11

    public static boolean isX11()

  Returns if this OS is likely to be using X11 as the graphics system.

  Since:
    jEdit 4.2pre3

### isVMS

    public static final boolean isVMS()

  Returns if we're running VMS.

### isMacOSLF

    public static final boolean isMacOSLF()

  Returns if we're running MacOS X and using the native look and feel.

### hasScreenMenuBar

    public static final boolean hasScreenMenuBar()

  Returns whether the screen menu bar on Mac OS X is in use.

  Since:
    jEdit 4.2pre1

### hasJava14

    public static final boolean hasJava14()

  Returns if Java 2 version 1.4, or Java 2 version 1.5 is in use.

### hasJava15

    public static final boolean hasJava15()

  Returns if Java 2 version 1.5 is in use.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD